Subject: Re: git-p4

From: Kent Borg <[email-masked]>
Date: Sun, 12 Sep 2010 16:07:31 -0400

Tor Arvid Lund wrote:
> When messing about with git-p4 I have sometimes messed up that
> p4/master ref myself. I can normally fix it by setting it manually

Um, I maybe just did that before I saw your e-mail.

I edited:

  .git/info/refs
  .git/ORIG_HEAD
  .git/packed/refs

...and put in the sha1 of the "[git-p4:"-commit.

When I now do:

  $ git rev-list --no-merges remotes/p4/master..master

I get just the one commit that I hoped to get!

...did I just fix it?

I don't have time to try the "git p4 submit" now, I am going to be late
in meeting my wife.  Tomorrow morning...will it work?

Thanks so very much for your help,

-kb